Exch Msg
Request to be POSTed to uri : /NorenWClientAPI/ExchMsg
Request Details :
| Parameter Name | Possible value | Description |
|---|---|---|
| jData* | Should send json object with fields in below list |
| Json Fields | Possible value | Description |
|---|---|---|
| uid* | Logged in User Id | |
| exch | Exchange (Select from ‘exarr’ Array provided in User Details response) |
Example:
curl --location 'https://api.kambala.co.in/NorenWClientAPI/ExchMsg' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer ab2f4117bce53f6b6900c73eebe520468ceea148a3bc4423a973514150f3c415' \
--data 'jData={"uid":"DEMO"}'
Response data will be in json format with below fields in case of success.
| Json Fields | Possible value | Description |
|---|---|---|
| stat | Ok | Whi Exch Msg success or failure indication. |
| exchmsg | It will be present only in a successful response. | |
| exchtm | Exchange Time | |
| exch | Exchange Name |
Response data will be in json format with below fields in case of failure:
| Json Fields | Possible value | Description |
|---|---|---|
| stat | Not_Ok | Order book failure indication. |
| request_time | Response received time. | |
| emsg | Error message |
Sample Success Response:
[
{
"stat": "Ok",
"exch_tm": "19-01-2026 12:25:13",
"exch": "NIPO",
"exch_msg": "alert-Attn Members/Banks: Kindly note that Allotment report for SME IPO of AVANA ELECTROSYSTEMS LIMITED (AVANA) is available for download. To export the report please click on export in REPORT menu under Allotment tab."
},
{
"stat": "Ok",
"exch_tm": "19-01-2026 12:25:13",
"exch": "NIPO",
"exch_msg": "alert-Attn. Members/Banks: Please note that bidding in QIB/NIB/INDIV category for SME IPO of Armour Security (India) Ltd (ARMOUR) shall close on 19th Jan, 2026 by 04:00 PM. However, UPI mandate acceptance time for eligible category shall be up to 19th Jan, 2026 by 05:00 PM."
}
]
Sample Failure Response:
{
"stat": "Not_Ok",
"request_time": "12:29:42 19-01-2026",
"emsg": "Error Occurred : 5 \"no data\""
}